Bug 375991 - SELinux is preventing /usr/sbin/prelink (prelink_t) "unlink" on (etc_t).
SELinux is preventing /usr/sbin/prelink (prelink_t) "unlink" on (etc_t).
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
: 376181 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-11 09:28 EST by Wade Nelson
Modified: 2008-01-30 14:05 EST (History)
2 users (show)

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-30 14:05:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wade Nelson 2007-11-11 09:28:27 EST
Description of problem:

Source Context:  system_u:system_r:prelink_t:s0
Target Context:  unconfined_u:object_r:etc_t:s0
Target Objects:  None [ file ]
Affected RPM Packages:  prelink-0.4.0-1 [application]
Policy RPM:  selinux-policy-3.0.8-47.fc8
Selinux Enabled:  True
Policy Type:  targeted
MLS Enabled:  True
Enforcing Mode:  Enforcing
Plugin Name:  plugins.prelink_mislabled
Host Name:  milan.localdomain
Platform:  Linux milan.localdomain 2.6.23.1-49.fc8 #1 SMP Thu Nov 8 21:41:26 
EST 2007 i686 i686
Alert Count:  1
First Seen:  Sun 11 Nov 2007 04:49:06 AM CST
Last Seen:  Sun 11 Nov 2007 04:49:06 AM CST
Local ID:  d7e0c4fb-38c5-4716-bb58-9e81b610f22d
Line Numbers:  

Raw Audit Messages :

avc: denied { unlink } for comm=prelink dev=sda1 egid=0 euid=0 exe=/usr/sbin/
prelink exit=-13 fsgid=0 fsuid=0 gid=0 items=0 name=prelink.cache pid=28550 
scontext=system_u:system_r:prelink_t:s0 sgid=0 
subj=system_u:system_r:prelink_t:s0 suid=0 tclass=file 
tcontext=unconfined_u:object_r:etc_t:s0 tty=(none) uid=0 

Version-Release number of selected component (if applicable):

[root@milan ~]# rpm -q prelink selinux-policy{,-targeted}
prelink-0.4.0-1
selinux-policy-3.0.8-47.fc8
selinux-policy-targeted-3.0.8-47.fc8
Comment 1 Jakub Jelinek 2007-11-11 14:15:31 EST
*** Bug 376181 has been marked as a duplicate of this bug. ***
Comment 2 Daniel Walsh 2007-11-12 10:26:05 EST
For some reason /etc/prelink.cache is labeled incorrectly.

restorecon /etc/prelink.cache 

will fix the problem.

Not sure who created this file with the wrong context.

I am removing the confinement of prelink in selinux-policy-targeted-3.0.8-52.fc8
To prevent these errors.
Comment 3 Daniel Walsh 2008-01-30 14:05:42 EST
Bulk closing a old selinux policy bugs that were in the modified state.  If the
bug is still not fixed.  Please reopen.

Note You need to log in before you can comment on or make changes to this bug.